package com.fjhx.mes.controller.production;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.mes.entity.production.vo.ProductionTaskDetailVo;
import com.fjhx.mes.entity.production.dto.ProductionTaskDetailSelectDto;
import com.fjhx.mes.entity.production.dto.ProductionTaskDetailDto;
import com.fjhx.mes.service.production.ProductionTaskDetailService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 生产任务明细 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-05-18
 */
@RestController
@RequestMapping("/productionTaskDetail")
public class ProductionTaskDetailController {

    @Autowired
    private ProductionTaskDetailService productionTaskDetailService;

    /**
     * 生产任务明细分页
     */
    @PostMapping("/page")
    public Page<ProductionTaskDetailVo> page(@RequestBody ProductionTaskDetailSelectDto dto) {
        return productionTaskDetailService.getPage(dto);
    }

    /**
     * 生产任务明细编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductionTaskDetailDto productionTaskDetailDto) {
        productionTaskDetailService.edit(productionTaskDetailDto);
    }

}
